Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.actions
Class DesktopDefinitionAction

    java.lang.Object
      com.bea.portal.tools.portal.actions.PortalControlAction
          com.bea.portal.tools.portal.actions.DesktopDefinitionAction

All Implemented Interfaces
  ControlAction

    public class DesktopDefinitionAction

extends PortalControlAction

Objects extending this class implement actions to be taken on portal controls. These may be used to specify multiple actions which need to occur in a single transactioni by calling the Portal controls' executeActions() method.

Constructor Summary
`DesktopDefinitionAction(DesktopDefinitionControl desktopDefinitionControl, BookDefinitionControl bookDefinitionControl, DesktopDefinitionId desktopDefinitionId, String title, String description, ShellDefinitionId shellDefinitionId, LookAndFeelDefinitionId lookAndFeelDefinitionId, BookDefinition bookDefinition)`
`DesktopDefinitionAction(DesktopDefinitionControl desktopDefinitionControl, DesktopDefinitionId desktopDefinitionId, String title, String description, ShellDefinitionId shellDefinitionId, LookAndFeelDefinitionId lookAndFeelDefinitionId, BookDefinitionId bookDefinitionId)`

Method Summary
`void` | `doAction(ResourceContext context)` Method that actually performs the action(s).
`DesktopDefinition` | `getDesktopDefinition()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesktopDefinitionAction

    public DesktopDefinitionAction(DesktopDefinitionControl desktopDefinitionControl,
                                   BookDefinitionControl bookDefinitionControl,
                                   DesktopDefinitionId desktopDefinitionId,
                                   String title,
                                   String description,
                                   ShellDefinitionId shellDefinitionId,
                                   LookAndFeelDefinitionId lookAndFeelDefinitionId,
                                   BookDefinition bookDefinition)

### DesktopDefinitionAction

    public DesktopDefinitionAction(DesktopDefinitionControl desktopDefinitionControl,
                                   DesktopDefinitionId desktopDefinitionId,
                                   String title,
                                   String description,
                                   ShellDefinitionId shellDefinitionId,
                                   LookAndFeelDefinitionId lookAndFeelDefinitionId,
                                   BookDefinitionId bookDefinitionId)

Method Detail

### doAction

    public void doAction(ResourceContext context)
                  throws Exception

  Description copied from class: `PortalControlAction`
  Method that actually performs the action(s).

  Specified by:
    `doAction` in interface `ControlAction`
  Specified by:
    `doAction` in class `PortalControlAction`
  Throws
    `Exception`

### getDesktopDefinition

    public DesktopDefinition getDesktopDefinition()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved